Summary:        Perl module for manipulation of IPv4 and IPv6 addresses
Name:           perl-Net-IP
Version:        1.26
Release:        6%{?dist}
License:        MIT and (GPL+ or Artistic)
URL:            https://metacpan.org/release/Net-IP
Source0:        https://cpan.metacpan.org/modules/by-module/Net/Net-IP-%{version}.tar.gz
Patch3000:      Net-IP-1.26-rt60439.patch
Patch3001:      Net-IP-1.26-shellbang.patch

BuildRequires:  make
BuildRequires:  coreutils findutils
BuildRequires:  perl-generators perl-interpreter perl(Config) perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Exporter) perl(Math::BigInt) perl(overload) perl(strict) perl(vars)
BuildRequires:  perl(Getopt::Std) perl(File::Basename) perl(FileHandle) perl(lib)

BuildArch:      noarch

%description
This  module is designed to easily manipulate IPv4 and IPv6 addresses. 
It includes two applications: ipcount, an IP address mini calculator, 
and iptab, which prints out a handy IP "cheat sheet."

%prep
%autosetup -n Net-IP-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
make test
PERL5LIB=%{buildroot}%{perl_vendorlib} ./iptab

%files
%license COPYING
%doc Changes README
%{_bindir}/ipcount
%{_bindir}/iptab
%{perl_vendorlib}/Net/
%{_mandir}/man3/Net::IP.3*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.26-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.26-5
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 16 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.26-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.26-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.26-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Mar 20 2023 Wang Guodong <gordonwwang@tencent.com> - 1.26-1
- package init.
